You are running an unsupported PHP version

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.3.x depuis une version antérieure ou d'une conversion de phpBB2 ou phpBB3 vers phpBB 3.3

Modérateur : Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.
Répondre
Auteur
Cigog
Posteur néophyte
Posteur néophyte
Messages : 15
Enregistré le : 13 mars 2018 à 22:09

You are running an unsupported PHP version

Message par Cigog »

Bonjour,

j'ai un forum en phpBB-3.2.8 que je veux migrer en phpBB-3.3.0

j'ai donc cette erreur "You are running an unsupported PHP version" qui s'affiche lorsque je lance la page d'install.

Je suis allée chez mon hébergeur, et j'ai changé la version de php (5.6) pour passer en 7.1, mais là lorsque je lance la page d'install, j'obtiens une erreur HTTP 500 cette fois.

J'ai ensuite tenté en mettant tous les droits au répertoire d'install et ses sous rep, mais idem.
Après avoir lu quelques post, j'ai aussi vidé le répertoire cache du forum. Mais idem, erreur HTTP 500. Je n'ai donc plus d'idée.

Pourquoi cette install ne démarre pas alors que je mets la bonne version de PHP???
Si vous avez des pistes, je suis preneuse.
Merci d'avance.

Avatar du membre
Steph
Administrateur
Administrateur
Messages : 20984
Enregistré le : 29 déc. 2008 à 15:48
Localisation : Alsace / Bas-Rhin / France
Contact :

Re: You are running an unsupported PHP version

Message par Steph »

Salut,

Peux tu préciser comment tu as fait cette mise a jour ? Avec le pack auto ou l'archive complète ?

La méthode qui semble la plus fiable : Mise à niveau de phpBB 3.2.x vers 3.3.x

Aussi es tu sûr d'avoir une version PHP au moins égale a 7.1.3 ?

Avatar du membre
Sylveretour
Floodeur mature
Floodeur mature
Messages : 1748
Enregistré le : 21 nov. 2017 à 18:24
Localisation : West Coast
Contact :

Re: You are running an unsupported PHP version

Message par Sylveretour »

Bonjour,
j'ai changé la version de php (5.6) pour passer en 7.1, mais là lorsque je lance la page d'install, j'obtiens une erreur HTTP 500
Ne pas oublier que entre le changement de version de php et l'application de cette version sur le site, il faut attendre un moment pour que cela soit bien actif.
Le temps d'attente peut mettre plus de 10 minutes chez certains hébergeurs aux serveurs un peu en carton :D
Donc, rien ne sert de revenir en arrière tout le temps mais de patienter un peu...

Auteur
Cigog
Posteur néophyte
Posteur néophyte
Messages : 15
Enregistré le : 13 mars 2018 à 22:09

Re: You are running an unsupported PHP version

Message par Cigog »

J'utilise effectivement le pack "Mise à niveau de phpBB 3.2.x vers 3.3.x"

je suis passé en PHP 7.1.3

j'ai attendu 12h. Sur le panneau d'administration du forum, le n° de version php est OK.

Une autre piste?

Dans les prérequis (http://forums.phpbb-fr.com/documentatio ... -view.html), il est précisé que
  • La fonction getimagesize() doit être activée.
    L'extension PHP JSON doit être activée.
    L'extension php XML doit être activée.
Comment puis-je m'en assurer?

Merci pour votre aide.

Avatar du membre
Sylveretour
Floodeur mature
Floodeur mature
Messages : 1748
Enregistré le : 21 nov. 2017 à 18:24
Localisation : West Coast
Contact :

Re: You are running an unsupported PHP version

Message par Sylveretour »

Il est très préférable que tu utilise de préférence la méthode indiquée plus haut par Steph car de très nombreux bugs ont été remontés en utilisant un pack de mise à jour.
Donc, en changeant les fichiers en premier, l'erreur de problème de version php disparaitra d'office.

Pour les prérequis, cela se voit dans la configuration php
Pour la voir très simplement, tu créé un fichier phpinfos.php
Dedans tu met ce code :

Code : Tout sélectionner

<?php
phpinfo();
?>
Tu l'envoie sur ton serveur, tu pointe dessus : ton_url/phpinfos.php et hop ! tu peut le voir...

Répondre

Retourner vers « Mises à jour/Conversions »

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 0 invité